/*
 * Medical Image Registration ToolKit (MIRTK)
 *
 * Copyright 2013-2015 Imperial College London
 * Copyright 2013-2015 Andreas Schuh
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef MIRTK_RegistrationConfig_H
#define MIRTK_RegistrationConfig_H


/// Whether MIRTK Registration module was built with PointSet support
#define MIRTK_Registration_WITH_PointSet 0

/// Whether MIRTK Registration module was built with support for Deformable internal forces
#define MIRTK_Registration_WITH_Deformable 0


namespace mirtk {


/// Initialize MIRTK Registration library
///
/// Registers all available types with their respective object factories.
void InitializeRegistrationLibrary();


} // namespace mirtk

#endif // MIRTK_RegistrationConfig_H
